"""copypics.py - Renames content* to Last_First.jpg files."""

# Copyright (C) 2011  Chris Mayfield <csmayfield@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import shutil
import re


def main():

    # get the single line with all the img tags
    try:
        ifile = open("photos.html", 'r')
    except IOError:
        ifile = open("photos.htm", 'r')
    while True:
        line = ifile.readline()
        if line.find('id="photoDetails"') > -1:
            break
        if line == "":
            print "ERROR: photoDetails section not found"
            exit(1)
    ifile.close()

    # create the output directory
    if not os.path.exists("pics"):
        os.mkdir("pics")

    # find and parse each image tag
    img = re.compile("<img[^>]+?content.+?>")
    non = re.compile(r'[\W\d]+')
    for mat in img.finditer(line):
        tag = mat.group()
        # get the source image file name
        p = tag.find("photos_files")
        q = tag.find('"', p)
        src = tag[p:q]
        # get the family/first names
        a = tag.find("alt=")
        c = tag.find(',', a)
        s = tag.find(' ', c+2)
        # remove non-alpha chars
        last = non.sub('', tag[a+5:c])
        first = non.sub('', tag[c+2:s])
        # copy the corresponding image
        dst = "pics/" + last + '_' + first + ".jpg"
        print src, "->", dst
        shutil.copy(src, dst)


if __name__ == "__main__":
    main()
