"""options.py - Customize this file to handle special cases."""

# Copyright (C) 2011  Chris Mayfield <csmayfield@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# if True, exclude families which have no photo
PRUNE = False

# if True, include appendix of "pruned" families
EXTRA = False

# list of known cities, in search order (used to split address into two lines)
CITIES = [
    "West Lafayette",
    "Lafayette",
    "Battle Ground",
]

# SPECIAL CASES (before each entry is constructed)
# names[0] == family name, names[1:] == first names
def tweak_names(names):
    # preferred first names
    if names[0] == "Williams":
        names[1] = "Mike"

# SPECIAL CASES (after each entry is constructed)
# family, names, photo, phone1, phone2, phone3, addr1, addr2
def tweak_entry(entry):
    if entry.phone1 == "Unknown" or entry.phone1 == "None":
        entry.phone1 = ""
    entry.addr2 = entry.addr2.replace("Indiana", "IN")
    # non-member spouses
    if entry.family == "Johnson":
        entry.names = entry.names.replace("Ames", "Ames \& Patricia")
    # non-member children
    if entry.family == "Jones":
        entry.names += ", Maria, Jennifer"
